### Function

# EDataServer xml_parse_data

since: 3.26

#### Declaration [src]

    xmlDoc*
    e_xml_parse_data (
      gconstpointer data,
      gsize length
    )

#### Description [src]

Parses XML data into an #xmlDocPtr. Free returned pointer with xmlFreeDoc(), when no longer needed.

Available since: 3.26

This function is not directly available to language bindings.

#### Parameters

`data`

  Type: An array of `guint8`

  An XML data.

  The length of the array is specified in the `length` argument.

`length`

  Type: `gsize`

  Length of data, should be greated than zero.

#### Return value

Type: `xmlDoc`

A new #xmlDocPtr with parsed `data`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.